# SourcePath: busybox/20050822rel
Summary: Busybox combines tiny versions of many common UNIX utilities into a single small executable.
Name: sony-target-rel-busybox
%define pkgname %{sony_target_config}-rel-busybox
Version: 1.01
Release: 010502di4
URL: http://www.busybox.net
Source0: http://busybox.net/downloads/busybox-1.01.tar.gz
Source1: dotconfig
Patch2: busybox_sslibc.patch
Patch3: busybox-1.00-builtin-1.patch
Patch4: busybox-1.0-sslibc-check.patch
Patch5: busybox-nfs.patch
Patch6: busybox-nfsmount.patch
Patch8: busybox-1.00-builtin-umount.patch
Patch9: busybox-builtin-insmod.patch
License: GPL
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}
%define _defaultdocdir  %{sony_cross_target_dir}%{sony_target_rel_doc_dir}

%description
BusyBox combines tiny versions of many common UNIX utilities into a single small
executable. It provides replacements for most of the utilities you usually find
in GNU fileutils, shellutils, etc. The utilities in BusyBox generally have fewer
options than their full-featured GNU cousins; however, the options that are
included provide the expected functionality and behave very much like their GNU
counterparts. BusyBox provides a fairly complete environment for any small or
embedded system. 

%package -n %{pkgname}
Summary:  Busybox combines tiny versions of many common UNIX utilities into a single small executable.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
BusyBox combines tiny versions of many common UNIX utilities into a single small
executable. It provides replacements for most of the utilities you usually find
in GNU fileutils, shellutils, etc. The utilities in BusyBox generally have fewer
options than their full-featured GNU cousins; however, the options that are
included provide the expected functionality and behave very much like their GNU
counterparts. BusyBox provides a fairly complete environment for any small or
embedded system. 

%prep
%setup -n busybox-1.01
cp %{SOURCE1} .config
%if "%{sony_target_lib_name}" == "sslibc"
%patch2 -p1
%endif
%patch3 -p1
%if "%{sony_target_lib_name}" == "sslibc"
%patch4 -p1
%endif
%patch5 -p1
%patch6 -p1
%patch8 -p1
%patch9 -p1

%build
%if "%{sony_target_lib_name}" == "glibc"
%sony_target_dev_setup
%else
%sony_target_rel_setup # for sslibc version
%endif
%if "%{sony_target_lib_name}" == "glibc"
make dep CROSS=%{sony_target_config}-  CC="%{sony_target_config}-gcc"
make CROSS=%{sony_target_config}- CC="%{sony_target_config}-gcc"
%else
make dep CROSS=%{sony_target_config}-  CC="%{sony_target_config}-gcc -I./henc -include henc.h"
make CROSS=%{sony_target_config}- CC="%{sony_target_config}-gcc -I./henc -include henc.h"
%endif

%install
%if "%{sony_target_lib_name}" == "glibc"
%sony_target_dev_setup
%else
%sony_target_rel_setup # for sslibc version
%endif
rm -rf %{buildroot}
make \
	PREFIX=%{buildroot}%{sony_cross_target_dir} \
	install
rm %{buildroot}%{sony_cross_target_dir}/bin/sh

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_cross_target_dir}/bin/ash
%{sony_cross_target_dir}/bin/busybox
%{sony_cross_target_dir}/bin/cat
%{sony_cross_target_dir}/bin/chgrp
%{sony_cross_target_dir}/bin/chmod
%{sony_cross_target_dir}/bin/chown
%{sony_cross_target_dir}/bin/cp
%{sony_cross_target_dir}/bin/cpio
%{sony_cross_target_dir}/bin/date
%{sony_cross_target_dir}/bin/dd
%{sony_cross_target_dir}/bin/dmesg
%{sony_cross_target_dir}/bin/echo
%{sony_cross_target_dir}/bin/egrep
%{sony_cross_target_dir}/bin/false
%{sony_cross_target_dir}/bin/fgrep
%{sony_cross_target_dir}/bin/grep
%{sony_cross_target_dir}/bin/gunzip
%{sony_cross_target_dir}/bin/gzip
%{sony_cross_target_dir}/bin/kill
%{sony_cross_target_dir}/bin/ln
%{sony_cross_target_dir}/bin/login
%{sony_cross_target_dir}/bin/ls
%{sony_cross_target_dir}/bin/mkdir
%{sony_cross_target_dir}/bin/mknod
%{sony_cross_target_dir}/bin/mktemp
%{sony_cross_target_dir}/bin/mount
%{sony_cross_target_dir}/bin/mv
%{sony_cross_target_dir}/bin/ps
%{sony_cross_target_dir}/bin/pidof
%{sony_cross_target_dir}/bin/ping
%{sony_cross_target_dir}/bin/pwd
%{sony_cross_target_dir}/bin/rm
%{sony_cross_target_dir}/bin/rmdir
%{sony_cross_target_dir}/bin/sed
%{sony_cross_target_dir}/bin/sleep
%{sony_cross_target_dir}/bin/sync
%{sony_cross_target_dir}/bin/tar
%{sony_cross_target_dir}/bin/touch
%{sony_cross_target_dir}/bin/true
%{sony_cross_target_dir}/bin/umount
%{sony_cross_target_dir}/bin/uname
%{sony_cross_target_dir}/bin/usleep
%{sony_cross_target_dir}/bin/zcat
%{sony_cross_target_dir}/sbin/freeramdisk
%{sony_cross_target_dir}/sbin/getty
%{sony_cross_target_dir}/sbin/halt
%{sony_cross_target_dir}/sbin/ifconfig
%{sony_cross_target_dir}/sbin/insmod
%{sony_cross_target_dir}/sbin/klogd
%{sony_cross_target_dir}/sbin/lsmod
%{sony_cross_target_dir}/sbin/modprobe
%{sony_cross_target_dir}/sbin/pivot_root
%{sony_cross_target_dir}/sbin/poweroff
%{sony_cross_target_dir}/sbin/reboot
%{sony_cross_target_dir}/sbin/rmmod
%{sony_cross_target_dir}/sbin/route
%{sony_cross_target_dir}/sbin/swapoff
%{sony_cross_target_dir}/sbin/swapon
%{sony_cross_target_dir}/sbin/syslogd
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/[
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/basename
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/bunzip2
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/bzcat
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/cmp
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/cut
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/dirname
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/env
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/expr
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/free
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/logger
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/md5sum
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/mkfifo
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/readlink
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/sha1sum
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/sort
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/telnet
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/test
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/uniq
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/wc
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/xargs
%{sony_cross_target_dir}%{sony_target_rel_sbin_dir}/chroot
%{sony_cross_target_dir}%{sony_target_rel_sbin_dir}/telnetd

%changelog
* Thu Feb 2 2006 Sony Corporation
- add busybox-builtin-insmod.patch

* Thu Nov 17 2005 Sony Corporation
- delete busybox-1.0-ash.patch

* Tue Aug 30 2005 Sony Corporation
- busybox 1.01

* Tue Aug 16 2005 Sony Corporation
- add readlink, logger, uname, modprobe command

* Mon Aug 15 2005 Sony Corporation
- builtin umount patch

* Tue Jun 14 2005 Sony Corporation
- fix NULL environment variable problem

* Fri Jun 03 2005 Sony Corporation
- nfs & nfsmount patch

* Tue May 17 2005 Sony Corporation
- builtin command patch 
- add wc command

* Mon Mar 7 2005 Sony Corporation
- build with sslibc for ARM

* Fri Jan 28 2005 Sony Corporation
- build with sslibc for PPC/build with glibc for ARM

* Tue Jan 18 2005 Sony Corporation
- build with sslibc

* Thu Jan 13 2005 Sony Corporation
- modify make options for arm and powerpc

* Thu Nov 18 2004 Sony Corporation
- iNITIAL BUILD
